/*
    This class is an extension of the Frame class for use as the
    main window of an application.

    You can add controls or menus to rules with Cafe Studio.
 */

import java.awt.*;
import java.io.*;

public class rules extends Frame {

    public rules() {

	super("rules window");

	//{{INIT_MENUS
	MenuBar mb = new MenuBar();
	fileMenu = new Menu("&File");
	fileMenu.add(new MenuItem("&Open..."));
	fileMenu.add(new MenuItem("E&xit"));
	mb.add(fileMenu);
	helpMenu = new Menu("&Help");
	helpMenu.add(new MenuItem("&About..."));
	mb.add(helpMenu);
	setMenuBar(mb);
	//}}

	//{{INIT_CONTROLS
	setLayout(new CardLayout());
	addNotify();
	resize(insets().left + insets().right + 456, insets().top + insets().bottom + 338);
	edit1=new TextArea(13,39);
	add(edit1);
	edit1.reshape(insets().left + 51,insets().top + 72,329,211);
	//}}

	show();
    }

    public synchronized void show() {
	move(50, 50);
	super.show();
    }

    public boolean handleEvent(Event event) {

	if (event.id == Event.WINDOW_DESTROY) {
	    hide();         // hide the Frame
	    dispose();      // tell windowing system to free resources
	    System.exit(0); // exit
	    return true;
	}
	return super.handleEvent(event);
    }

    public boolean action(Event event, Object arg) {
	if (event.target instanceof MenuItem) {
	    String label = (String) arg;
	    if (label.equalsIgnoreCase("&About...")) {
    		selectedAbout();
    		return true;
	    } else if (label.equalsIgnoreCase("E&xit")) {
    		selectedExit();
    		return true;
	    } else if (label.equalsIgnoreCase("&Open...")) {
    		selectedOpen();
    		return true;
	    }
	}
	return super.action(event, arg);
    }

    public static void main(String args[]) {
	new rules();
    }

    //{{DECLARE_MENUS
    Menu fileMenu;
    Menu helpMenu;
    //}}

    //{{DECLARE_CONTROLS
    TextArea edit1;
    //}}

    public void selectedOpen() {
    	FileDialog dlg = new FileDialog(this, "Open Examples...");

    	dlg.show();
        if ( dlg.getFile().length() > 0 )
        {
        	File f = new File( dlg.getFile() );
        	ExampleSet   es = new ExampleSet();
        	es.init( f, edit1 );
        }
    }
    public void selectedExit() {
	    System.exit(0);
    }
    public void selectedAbout() {
    	AboutBox theAboutBox;
    	theAboutBox = new AboutBox(this);
    	theAboutBox.show();
    }
}


/*
    This class is a basic extension of the Dialog class.  It can be used
    by subclasses of Frame.  To use it, create a reference to the class,
    then instantiate an object of the class (pass 'this' in the constructor),
    and call the show() method.

    example:

    AboutBox theAboutBox;
    theAboutBox = new AboutBox(this);
    theAboutBox.show();

    You can add controls to AboutBox with Cafe Studio.
    (Menus can be added only to subclasses of Frame.)
 */

class AboutBox extends Dialog {

    public AboutBox(Frame parent) {

	    super(parent, "About", true);
	setResizable(false);

	//{{INIT_CONTROLS
	setLayout(null);
	addNotify();
	resize(insets().left + insets().right + 288, insets().top + insets().bottom + 75);
	label1=new Label("ID3/C4.5 Algorithm Example");
	add(label1);
	label1.reshape(insets().left + 12,insets().top + 18,174,16);
	OKButton=new Button("OK");
	add(OKButton);
	OKButton.reshape(insets().left + 204,insets().top + 11,72,26);
	//}}
    }

    public synchronized void show() {
	Rectangle bounds = getParent().bounds();
	Rectangle abounds = bounds();

	move(bounds.x + (bounds.width - abounds.width)/ 2,
	     bounds.y + (bounds.height - abounds.height)/2);

	super.show();
    }

    public synchronized void wakeUp() {
	notify();
    }

    public boolean handleEvent(Event event) {
	if (event.id == Event.ACTION_EVENT && event.target == OKButton) {
		clickedOKButton();
		return true;
	}
	else

	if (event.id == Event.WINDOW_DESTROY) {
	    hide();
	    return true;
	}
	return super.handleEvent(event);
    }

    //{{DECLARE_CONTROLS
    Label label1;
    Button OKButton;
    //}}

    public void clickedOKButton() {
	handleEvent(new Event(this, Event.WINDOW_DESTROY, null));
    }
}

